stpncpy(3)

NAME
stpncpy - nonstring return‐offset‐pointer copy

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>  // see memory.h(3head)

char *stpncpy(size_t dsize;
              char dst[restrict dsize], const char *restrict src,
              size_t dsize);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

stpncpy():
    Since glibc 2.10:
        _POSIX_C_SOURCE >= 200809L
    Before glibc 2.10:
        _GNU_SOURCE

DESCRIPTION
This function is equivalent to strncpy(3), but it returns a pointer to one past the last nonnull written character.

It is equivalent to

    memset(mempcpy(dst, src, strnlen(src, dsize)), '\0',
           dsize - strnlen(src, dsize))

RETURN VALUE
This function returns a pointer to one past the last non-null character written, that is, dest + strnlen(src, n).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
POSIX.1-2008.

HISTORY
glibc 1.07. POSIX.1-2008.

CAVEATS
See strncpy(3).

SEE ALSO
memory.h(3head), string_copying(7)